% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/csfmt_rts_v1.R
\name{expand_time_to}
\alias{expand_time_to}
\title{Expand time to}
\usage{
expand_time_to(
  x,
  max_isoyear = NULL,
  max_isoyearweek = NULL,
  max_date = NULL,
  ...
)
}
\arguments{
\item{x}{An object of type \code{\link{csfmt_rts_data_v1}}}

\item{max_isoyear}{Maximum isoyear}

\item{max_isoyearweek}{Maximum isoyearweek}

\item{max_date}{Maximum date}

\item{...}{Not used.}
}
\value{
csfmt_rts_data_v1, a larger dataset that includes more rows corresponding to more time.
}
\description{
Attempts to expand the dataset to include more time

A time series is defined as a unique combination of:
\itemize{
\item granularity_time
\item granularity_geo
\item country_iso3
\item location_code
\item border
\item age
\item sex
\item *_id
\item *_tag
}
}
\seealso{
Other csfmt_rts_data: 
\code{\link{identify_data_structure}()},
\code{\link{remove_class_csfmt_rts_data}()},
\code{\link{set_csfmt_rts_data_v1}()},
\code{\link{unique_time_series}()}
}
\concept{csfmt_rts_data}
